<?php
/**
 * @version     5.0.1
 * @package     com_gausers
 * @copyright   Copyright (C) 2012. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Created by Glenn Arkell - http://www.glennarkell.com
 */

defined('JPATH_BASE') or die;

use \Joomla\CMS\Factory;
use \Joomla\CMS\Language\Text;

$data = $displayData;
$item = $data['view']->get('item');
$form = $data['view']->get('form');
$canAdmin = $data['view']->canAdmin;
$ignorArray = $data['view']->ignorArray;
// this is the user id of member viewing the form
$user_id = $data['view']->user_id;

$fields = $form->getFieldset('gausers_brb');

?>
            <?php /* test for administrator or owner of record for updating purposes */ ?>
			<?php if ($canAdmin || $item->id == $user_id) : ?>
            <?php /* NOT an administrator or owner of record */ ?>
			<?php else : ?>
                <?php
                    foreach ($fields as $f) {
                        $form->setFieldAttribute($f->fieldname, 'type', 'hidden');
                    }
                ?>
			<?php endif; ?>
            <?php /* Render the form details as required */ ?>
            <?php
                foreach ($fields as $f) {
                    if (!in_array($f->fieldname,$ignorArray)) {echo $form->renderField($f->fieldname);}
                }
            ?>
